#!/bin/bash
######################################################################
#By Tummy a.k.a Vincent C. Passaro				     #
#Vincent[.]Passaro[@]gmail[.]com	         		     #
#www.vincentpassaro.com						     #
######################################################################
#_____________________________________________________________________
#|  Version |   Change Information  |      Author        |    Date    |
#|__________|_______________________|____________________|____________|
#|    1.0   |   Initial Script      | Vincent C. Passaro | 20-oct-2011|
#|	    |   Creation	    |                    |            |
#|__________|_______________________|____________________|____________|
								     

#######################DISA INFORMATION###############################
#Group ID (Vulid): V-778
#Group Title: The root account can be directly logged into
#Rule ID: SV-27146r1_rule
#Severity: CAT II
#Rule Version (STIG-ID): GEN000980
#Rule Title: The system must prevent the root account from directly 
#logging in except from the system console.
#
#Vulnerability Discussion: Limiting the root account direct logins to 
#only system consoles protects the root account from direct unauthorized 
#access from a non-console device.
#
#
#Responsibility: System Administrator
#IAControls: ECPA-1
#
#Check Content: 
#Confirm /etc/securetty exists and is empty or contains only the word 
#console or a single tty device.
# more /etc/securetty
#
#Fix Text: Edit /etc/securetty to contain only "console".
# echo console > /etc/securetty    
#######################DISA INFORMATION###############################

#Global Variables#
PDI=GEN000980

#Start-Lockdown

#echo console > /etc/securetty

#This is going to be addressed in GEN001000 since we need a TTY for Virt systems.

