#!/bin/bash
######################################################################
#By Tummy a.k.a Vincent C. Passaro		                     #
#Vincent[.]Passaro[@]gmail[.]com				     #
#www.vincentpassaro.com						     #
######################################################################
#_____________________________________________________________________
#|  Version |   Change Information  |      Author        |    Date    |
#|__________|_______________________|____________________|____________|
#|    1.0   |   Initial Script      | Vincent C. Passaro | 20-oct-2011|
#|	    |   Creation	    |                    |            |
#|__________|_______________________|____________________|____________|
#######################DISA INFORMATION###############################
#Group ID (Vulid): V-4089
#Group Title: Run Control Scripts Ownership
#Rule ID: SV-27211r1_rule
#Severity: CAT II
#Rule Version (STIG-ID): GEN001660
#Rule Title: All system start-up files must be owned by root.
#
#Vulnerability Discussion: System start-up files not owned by root 
#could lead to system compromise by allowing malicious users or 
#applications to modify them for unauthorized purposes. This could 
#lead to system and network compromise.
#
#
#Responsibility: System Administrator
#IAControls: ECLP-1
#
#Check Content: 
#Check run control scripts' ownership.
# ls -lL /etc/rc* /etc/init.d
#
#Alternatively:
# find /etc -name "[SK][0-9]*"|xargs stat -L -c %U:%n
#
#If any run control script is not owned by root or bin, this is a 
#finding.
#
#Fix Text: Change the ownership of the run control script(s) that 
#have incorrect ownership.
# find /etc -name "[SK][0-9]*"|xargs stat -L -c %U:%n|egrep -v "^
#root:"|cut -d: -f2|xargs chown root  
#######################DISA INFORMATION###############################

#Global Variables#
PDI=GEN001660
BADCONTROLFILES=$( find /etc/rc* /etc/init.d  ! -user root  ! -user bin )
#Start-Lockdown

for FILE in $BADCONTROLFILES
  do
    chown root $FILE
done
