#!/bin/bash
######################################################################
#By Tummy a.k.a Vincent C. Passaro		                     #
#Vincent[.]Passaro[@]gmail[.]com				     #
#www.vincentpassaro.com						     #
######################################################################
#_____________________________________________________________________
#|  Version |   Change Information  |      Author        |    Date    |
#|__________|_______________________|____________________|____________|
#|    1.0   |   Initial Script      | Vincent C. Passaro | 20-oct-2011|
#|	    |   Creation	    |                    |            |
#|__________|_______________________|____________________|____________|
#
#
#  - updated by Shannon Mitchell(shannon.mitchell@fusiontechnology-llc.com)
# on 16-jan-2012 to fix hanging-non-execute issue and simplify the script.


#######################DISA INFORMATION###############################
#Group ID (Vulid): V-921
#Group Title: Shell Ownership
#Rule ID: SV-921r6_rule
#Severity: CAT II
#Rule Version (STIG-ID): GEN002200
#Rule Title: All shell files must be owned by root or bin.
#
#Vulnerability Discussion: If shell files are owned by users other than 
#root or bin, they could be modified by intruders or malicious users to 
#perform unauthorized actions.
#
#Responsibility: System Administrator
#IAControls: ECLP-1
#
#Check Content: 
#Check the ownership of the system shells.
# cat /etc/shells | xargs -n1 ls -l
#If any shell is not owned by root or bin, this is a finding.
#
#Fix Text: Change the ownership of the shell with incorrect ownership.
# chown root <shell>   
#######################DISA INFORMATION###############################

#Global Variables#
PDI=GEN002200


#Start-Lockdown
find /bin/bash /sbin/nologin /bin/tcsh /bin/csh /bin/ksh /bin/sync /sbin/shutdown /sbin/halt ! -user root ! -user bin -exec chown root {} \; 2> /dev/null
