#!/bin/bash
######################################################################
#By Tummy a.k.a Vincent C. Passaro		                     #
#Vincent[.]Passaro[@]gmail[.]com				     #
#www.vincentpassaro.com						     #
######################################################################
#_____________________________________________________________________
#|  Version |   Change Information  |      Author        |    Date    |
#|__________|_______________________|____________________|____________|
#|    1.0   |   Initial Script      | Vincent C. Passaro | 20-oct-2011|
#|	    |   Creation	    |                    |            |
#|__________|_______________________|____________________|____________|
#
#
#  - updated by Shannon Mitchell(shannon.mitchell@fusiontechnology-llc.com)
# on 18-jan-2012 to reference GEN002320.sh


#######################DISA INFORMATION###############################
#Group ID (Vulid): V-1049
#Group Title: Audio device ownership.
#Rule ID: SV-27250r1_rule
#Severity: CAT II
#Rule Version (STIG-ID): GEN002340
#Rule Title: Audio devices must be owned by root.
#
#Vulnerability Discussion: Audio and video devices that are globally 
#accessible have proven to be another security hazard. There is software 
#that can activate system microphones and video devices connected to 
#user workstations and/or X terminals. Once the microphone has been 
#activated, it is possible to eavesdrop on otherwise private conversations 
#without the victim being aware of it. This action effectively changes 
#the user's microphone to a bugging device.
#
#
#Responsibility: System Administrator
#IAControls: ECLP-1
#
#Check Content: 
#Check the owner of audio devices.
# ls -lL /dev/audio* /dev/snd/*
#If the owner of any audio device file is not root, this is a finding.
#
#Fix Text: Change the owner of the audio device.
# chown root <audio device>   
#######################DISA INFORMATION###############################

#Global Variables#
PDI=GEN002340


#Start-Lockdown

# See udev configuration in GEN002320.sh

