#!/bin/bash
######################################################################
#By Tummy a.k.a Vincent C. Passaro		                     #
#Vincent[.]Passaro[@]gmail[.]com				     #
#www.vincentpassaro.com						     #
######################################################################
#_____________________________________________________________________
#|  Version |   Change Information  |      Author        |    Date    |
#|__________|_______________________|____________________|____________|
#|    1.0   |   Initial Script      | Vincent C. Passaro | 20-oct-2011|
#|	    |   Creation	    |                    |            |
#|__________|_______________________|____________________|____________|
#
#
#  - updated by Shannon Mitchell(shannon.mitchell@fusiontechnology-llc.com)
# on 24-jan-2012 to check the permissions before running the chmod.



#######################DISA INFORMATION###############################
#Group ID (Vulid): V-975
#Group Title: The cron.allow permissions
#Rule ID: SV-27326r1_rule
#Severity: CAT II
#Rule Version (STIG-ID): GEN002980
#Rule Title: The cron.allow file must have mode 0600 or less permissive.
#
#Vulnerability Discussion: A cron.allow file that is readable and/or 
#writable by other than root could allow potential intruders and 
#malicious users to use the file contents to help discern information, 
#such as who is allowed to execute cron programs, which could be 
#harmful to overall system and network security.
#
#Responsibility: System Administrator
#IAControls: ECLP-1
#
#Check Content: 
#Check mode of the cron.allow file.
#
#Procedure:
# ls -lL /etc/cron.allow
#
#If the file has a mode more permissive than 0600, this is a finding.
#
#Fix Text: Change the mode of the cron.allow file to 0600.
#
#Procedure:
# chmod 0600 /etc/cron.allow 
#######################DISA INFORMATION###############################

#Global Variables#
PDI=GEN002980

#Start-Lockdown
find /etc/cron.allow -perm /7177 -exec chmod u-xs,g-rwxs,o-rwxt {} \;
