#!/bin/bash
######################################################################
#By Tummy a.k.a Vincent C. Passaro		                     #
#Vincent[.]Passaro[@]gmail[.]com				     #
#www.vincentpassaro.com						     #
######################################################################
#_____________________________________________________________________
#|  Version |   Change Information  |      Author        |    Date    |
#|__________|_______________________|____________________|____________|
#|    1.0   |   Initial Script      | Vincent C. Passaro | 20-oct-2011|
#|	    |   Creation	    |                    |            |
#|__________|_______________________|____________________|____________|
#
#  - updated by Shannon Mitchell(shannon.mitchell@fusiontechnology-llc.com)
# on 02-feb-2012 to check ownership before running the chown.


#######################DISA INFORMATION###############################
#Group ID (Vulid): V-4430
#Group Title: cron.deny ownership
#Rule ID: SV-27374r1_rule
#Severity: CAT II
#Rule Version (STIG-ID): GEN003260
#Rule Title: The cron.deny file must be owned by root, bin, or sys.
#
#Vulnerability Discussion: Cron daemon control files restrict the 
#scheduling of automated tasks and must be protected.
#
#
#Responsibility: System Administrator
#IAControls: ECLP-1
#
#Check Content: 
# ls -lL /etc/cron.deny
#If the cron.deny file is not owned by root, sys, or bin, this is a 
#finding.
#
#Fix Text: # chown root /etc/cron.deny   
#######################DISA INFORMATION###############################

#Global Variables#
PDI=GEN003260

#Start-Lockdown
find /etc/cron.deny ! -user root ! -user bin -exec chown root {} \; > /dev/null 2>&1
