#!/bin/bash
######################################################################
#By Tummy a.k.a Vincent C. Passaro		                     #
#Vincent[.]Passaro[@]gmail[.]com				     #
#www.vincentpassaro.com						     #
######################################################################
#_____________________________________________________________________
#|  Version |   Change Information  |      Author        |    Date    |
#|__________|_______________________|____________________|____________|
#|    1.0   |   Initial Script      | Vincent C. Passaro | 20-oct-2011|
#|	    |   Creation	    |                    |            |
#|__________|_______________________|____________________|____________|
#
#
#  - updated by Shannon Mitchell(shannon.mitchell@fusiontechnology-llc.com)
# on 02-feb-2012 to check ownership before running the chown.


#######################DISA INFORMATION###############################
#Group ID (Vulid): V-4367
#Group Title: at.allow ownership
#Rule ID: SV-27395r1_rule
#Severity: CAT II
#Rule Version (STIG-ID): GEN003460
#Rule Title: The at.allow file must be owned by root, bin, or sys.
#
#Vulnerability Discussion: If the owner and group of the at.allow file 
#are not set to root, bin, or sys, unauthorized users could be allowed 
#to view or edit sensitive information contained within the file.
#
#
#Responsibility: System Administrator
#IAControls: ECLP-1
#
#Check Content: 
# ls -lL /etc/at.allow
#If the at.allow file is not owned owned by root, sys, or bin, 
#this is a finding.
#
#Fix Text: Change the owner of the at.allow file.
# chown root /etc/at.allow  
#######################DISA INFORMATION###############################

#Global Variables#
PDI=GEN003460

#Start-Lockdown
find /etc/at.allow ! -user root ! -user bin -exec chown root {} \; > /dev/null 2>&1
