#!/bin/bash
######################################################################
#By Tummy a.k.a Vincent C. Passaro		                     #
#Vincent[.]Passaro[@]gmail[.]com				     #
#www.vincentpassaro.com						     #
######################################################################
#_____________________________________________________________________
#|  Version |   Change Information  |      Author        |    Date    |
#|__________|_______________________|____________________|____________|
#|    1.0   |   Initial Script      | Vincent C. Passaro | 20-oct-2011|
#|	    |   Creation	    |                    |            |
#|__________|_______________________|____________________|____________|
#
#
#  - Updated by Shannon Mitchell(shannon.mitchell@fusiontechnology-llc.com)
# on 12-Feb-2012 to move from manual production and add the fix.


#######################DISA INFORMATION###############################
#Group ID (Vulid): V-927
#Group Title: NFS Port Monitoring
#Rule ID: SV-28443r1_rule
#Severity: CAT II
#Rule Version (STIG-ID): GEN005720
#Rule Title: NFS servers must only accept NFS requests from privileged ports on client systems.
#
#Vulnerability Discussion: If clients are not required to use privileged ports to get NFS services, then exported file systems may be in danger of mounting by malicious users and intruders that do not have access to privileged ports.
# Responsibility: System Administrator
#IAControls: ECSC-1
#
#Check Content: 
# grep insecure /etc/exports
#If any of the file systems are exported with the 'insecure' option, this is a finding.
#
#Fix Text: Edit /etc/exports and remove the "insecure" option.   
#######################DISA INFORMATION###############################

#Global Variables#
PDI=GEN005720

#Start-Lockdown

grep insecure /etc/exports > /dev/null
if [ $? -eq 0 ]
then
  sed -i -e 's/insecure,//g' /etc/exports
  sed -i -e 's/,insecure)/)/g' /etc/exports
fi
