#!/bin/bash
######################################################################
#By Tummy a.k.a Vincent C. Passaro		                     #
#Vincent[.]Passaro[@]gmail[.]com				     #
#www.vincentpassaro.com						     #
######################################################################
#_____________________________________________________________________
#|  Version |   Change Information  |      Author        |    Date    |
#|__________|_______________________|____________________|____________|
#|    1.0   |   Initial Script      | Vincent C. Passaro | 20-oct-2011|
#|	    |   Creation	    |                    |            |
#|__________|_______________________|____________________|____________|
#######################DISA INFORMATION###############################
#Group ID (Vulid): V-22520
#Group Title: GEN007200
#Rule ID: SV-26876r1_rule
#Severity: CAT II
#Rule Version (STIG-ID): GEN007200
#Rule Title: The Internetwork Packet Exchange (IPX) protocol must be disabled or not installed.
#
#Vulnerability Discussion: The Internetwork Packet Exchange (IPX) protocol
#is a network-layer protocol that is no longer in common use. Binding
#this protocol to the network stack increases the attack surface of
#the host. Unprivileged local processes may be able to cause the
#system to dynamically load a protocol handler by opening a socket using the protocol.
#
#Responsibility: System Administrator
#IAControls: ECSC-1
#
#Check Content: 
#The IPX protocol handler is not part of the RHEL5 distribution. This is not a finding.
#######################DISA INFORMATION###############################

#Global Variables#
PDI=GEN007200

#Start-Lockdown

#So DISA says its not part of RHEL 5, so it's not a finding....  Then why have the check since this configuration guideline is for RHEL 5??
